Subject: [Ilc] Genuine concern: is the the purpose of this group to create an Internet-cartel?

From: Tao Effect <[email-masked]>
Date: Wed, 15 Feb 2017 22:30:02 -0800

Hi list,

Judging by the name of this group I will not be surprised if this email is simply ignored, but I'm obligated by conscience to voice my concern, if only so that future historians can search these archives and see that yes, someone did contact this group and ask them if they were aware of the consequences, i.e. the high likelihood of turning the Internet back into 20th century cable news.

It is not clear to me, from the name of this working group, whether it understands the meaning of "consensus".

My OS X dictionary says:

> general agreement: a consensus of opinion among judges

That "among judges" part is of central importance. Without it, "consensus" would mean something completely different.

To emphasize: consensus *always* occurs within the context of a _group_.

The Internet is comprised of billions of individuals and billions of machines. So "Internet-level consensus" suggests consensus among a group of said billion individuals. That is clearly impossible, I think all here would agree.

Therefore, what this working group is really proposing is not "Internet-level consensus", but consensus between a cartel of companies whose consensus they expect the rest of the Internet to follow and respect. In other words, a cartel that imposes its decisions upon the entire world.

Please note: I am fully aware of the transparency and gossip efforts conducted by [trans], have written reviews of them [1], and compared Certificate Transparency to other transparency efforts like CONIKS [2] -- so you do not need to assume that I'm unaware of the impact of those technologies. As mentioned in those links, especially [2], centralized consensus systems are fundamentally incapable of censorship-resistance.

So, if cartel-consensus imposed on the Internet is what this group has in mind, please be aware that such a course of action will almost certainly lead to the destruction of the Internet as we know it. I hope that's not the purpose of the working group.

It *is* possible to have an "Internet-level consensus thing", but the only such thing I know exists would be the creation of a totally _consensus-agnostic_ protocol that lets end users choose for themselves which consensus group they are trusting (e.g. via a TLD extension, for example). One such protocol, DPKI [3], has been sketched out by a different group, Rebooting The Web of Trust, headed by Christopher Allen, co-author of SSL/TLS.

So my question is: which of these visions does the group have in mind?

(A) The creation of a *specific* consensus protocol, which will lead to the centralization of the Internet in the hands of a cartel and therefore its destruction?

or

(B) The creation of a completely agnostic consensus protocol that works with all consensus systems, be it Stellar, Ripple, Bitcoin, etc.?

Thanks, and again, I mean no disrespect, only to share a genuine concern, and curiosity as to whether this group plans on doing (A) or (B) above.

[1] https://blog.okturtles.com/tag/certificate-transparency/
[2] https://blog.okturtles.com/2017/02/coniks-vs-key-transparency-vs-certificate-transparency-vs-blockchains/
[3] https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/dpki.pdf

- Greg

--
Please do not email me anything that you are not comfortable also sharing with the NSA.